### Function

# WebKit URISchemeRequestCallback

#### Declaration

    void
    (* WebKitURISchemeRequestCallback) (
      WebKitURISchemeRequest* request,
      gpointer user_data
    )

#### Description [src]

Type definition for a function that will be called back when an URI request is made for a user registered URI scheme.

#### Parameters

`request` | `WebKitURISchemeRequest`
| The `WebKitURISchemeRequest`.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data passed to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.